<?php
/*
* Plugin Name: nextSunday
* Description: A simple shortcode that will put the date for the next Sunday into any page using a shortcode.
* Version: 1.0
* Author: Dr. Joshua G. Read
* Author URI: https://drjoshuaread.com
*/

function wp_nextsunday_shortcode(){
$ts = strtotime("next Sunday");	// returns a unix timestamp
$date = new DateTime("@$ts");	// parses the unix timestamp to a UTC version
echo $date->format('F jS Y');		// converts the unix timestamp to the expected December 15th, 2019
}
add_shortcode("nextSunday", "wp_nextsunday_shortcode");

?>